.cuco-grid-gallery {
    display: grid;
    gap: 25px;
    overflow: hidden;
}

.gallery-2 {
    grid-template-columns: repeat(2, 1fr);
}

.gallery-3 {
    grid-template-columns: 1fr .4fr .4fr;
}

.gallery-4, .gallery-4x {
    grid-template-columns: 1fr .3fr .4fr;
    grid-template-rows: 200px 200px;
}

.gallery-2 > div, .gallery-3 > div {
    position: relative;
    height: 500px;
}

.cuco-grid-gallery  img.cuco-gallery-item {
    height: 100% !important;
    width: 100% !important;
    object-fit: cover;
    cursor: pointer;
    border-radius: 15px;
}

.gallery-4x div:nth-of-type(1), .gallery-4 div:nth-of-type(1) {
    grid-area: 1 / 1 / 3 / 2;
}

.gallery-4x div:nth-of-type(2), .gallery-4 div:nth-of-type(2) {
    grid-area: 1 / 2 / 3 / 3;
}

.gallery-4x div:nth-of-type(3), .gallery-4 div:nth-of-type(3) {
    grid-area: 1 / 3 / 2 / 4;
}

.gallery-4x div:nth-of-type(4), .gallery-4 div:nth-of-type(4) {
    grid-area: 2 / 3 / 3 / 4;
}

.cuco-grid-gallery div.open {
    position: relative;
}

.cuco-grid-gallery div.open .galleryOverlay {
    height: 100%;
    width: 100%;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.68);
    top: 0;
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 25px;
}

.cuco-grid-gallery .count {
    color: white;
}

@media only screen and (max-width: 1000px) {
    .cuco-grid-gallery {
        grid-template-columns: 1fr;
    }

    .cuco-grid-gallery div:nth-of-type(2) {
        display: none;
    }

    .cuco-grid-gallery div:nth-of-type(3) {
        display: none;
    }

    .cuco-grid-gallery div:nth-of-type(4) {
        display: none;
    }
}


.property-image-wrapper{

    position: relative;

}

.property-image-wrapper:hover .open-image-icon{
    opacity: 1;
    cursor: pointer;
}

.property-image-wrapper:hover img.cuco-gallery-item{
    border:2px solid #D9D9D9;
}

img.cuco-gallery-item{
    border:2px solid transparent;
}


.open-image-icon{

    top:0;
    left:0;
    right:0;
    bottom:0;
    opacity: 0;
    transition: all 0.4s ease-in-out;
    position: absolute;
    display: flex;
    background-color: rgba(255, 255, 255, 0.5);
    justify-content: end;
    align-items: end;
    height: 100%!important;
    width: 100%!important;





}

.open-image-icon img{
    width: 2.5rem!important;
    height: auto;
    margin-right: 1rem;
    margin-bottom: 1rem!important;
}

.property-image-wrapper{
    position: relative;
}


